--主线剧情<7-13>
--剧情起始点：折剑山庄大门外
--调用条件：主线旗标==(80)时碰撞事件点(x,z,r:1489,1769,80)
--旗标变更：结束时变更为(81)
--脚本id：7133
function m007_13()
if	flag.GetValue(6001)==80	and flag.GetValue(6100)==0 then
	func_start(0,0,0)
	flag.SetValue(6001,81)
	--还原dlc
	--flag.SetValue(45000,2)
	effect.FadeIn(1,0.7)
	global.PlayMusic(169,100,2000)
	
	--###############
	--#本段用到的npc#
	--###############
	local nXiaHou = 1
	local nXia = 2
	local nLan = 3
	local nJiang = 4
	local nMing = 5 --皇甫一鸣 npcid = 29
	local nHuang = 6 --皇甫
	local nGang = 7
	--房间调整偏移量
	local mKfx=-1244
	--隐藏npc
	npc.SetVisible(410,0) --背弓男
	npc.SetVisible(407,0) --背剑男
	
	
	--###@@@切镜头
	camera.ResetLerp(0)
	camera.ChangeCameraBindNpc(nJiang,120,45,-80)
	--[[
	npc.Create(1,nXiaHou,1087,2159)
	npc.SetAtPos(nXiaHou,1082,2202)
	npc.Create(2,nXia,1118,2173)
	npc.SetAtPos(nXia,1087,2159)
	npc.Create(4,nLan,1082,2202)
	npc.SetAtPos(nLan,1087,2159)	]]
	--调整一下瑕的位置
	npc.SetPos(nXia,1112,2183)
	npc.Create(3,nJiang,1249,1995)
	npc.SetAtPos(nJiang,1134,2127)
	--创建皇甫父子
	npc.Create(29,nMing,1780,1420)
	npc.SetAtPos(nMing,1141,2088)
	npc.Create(6,nHuang,1777,1399)
	npc.SetAtPos(nHuang,1141,2088)
	npc.SetVisible(nHuang,0)
	npc.SetVisible(nMing,0)
	--姜承走向夏侯
	npc.SetSpeed(nJiang,0.9)
	npc.MoveTo(nJiang,1134,2127)
	--夏侯和两个妹子在说话，背身
	global.Wait(0.6)
	--夏侯对话动作
	npc.SetAnim(nXiaHou,217,2)
	global.Wait(1.5)
	--暮菖兰先注意到姜承，转身
	npc.TurnToPos(nLan,1134,2127)
	global.Wait(0.5)
	--然后夏侯转身迎过去
	npc.TurnToPos(nXia,1134,2127)
	global.Wait(0.3)
	npc.SetSpeed(nLan,0.5)
	npc.MoveTo(nLan,1093,2185)
	npc.SetSpeed(nLan,1)
	npc.TurnToPos(nXiaHou,1134,2127,1)
	global.Wait(0.5)
	npc.SetHeadRot(nJiang,-15,0,0,50)
	--==========
	
	--###@@@切镜头
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(1004,35,2138,1100,13,2157)
	camera.ResetLerp(20000)
	camera.ChangeCameraStatic(1019,32,2141,1114,10,2160)
	wt(0.5)
	global.WaitForNpcPos(nJiang,1134,2127)
	npc.SetSpeed(nJiang,1)
	wt(0.3)
	ui.Dialog(77319,526,2,nXiaHou,0,0)--姜兄。
	global.Wait(0.3)
	--姜承低头
	npc.SetHeadRot(nJiang,0,25,1,40)
	wt(0.5)
	ui.Dialog(77320,141,0,nJiang,0,0)--……
	global.Wait(0.3)
	npc.SetAnim(nXia,217,2)
	global.Wait(0.5)
	ui.Dialog(77321,188,2,nXia,0,0)--我们都知道了，听说要赶你下山，事情明明不能全怪你，那个欧阳门主怎么能这样胡乱处罚呢。
	global.Wait(0.5)
	ui.Dialog(77322,141,0,nJiang,0,0)--……师父他……
	global.Wait(0.3)	
	--夏侯摇头
	npc.SetAnim(nXiaHou,207,2)
	global.Wait(1)
	ui.Dialog(77323,520,2,nXiaHou,0,0)--……
	global.Wait(0.3)
	npc.SetAnim(nXia,200)
	--==========
	
	--###@@@切镜头
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(1856,61,1329,1786,34,1395)
	camera.ResetLerp(15000)
	camera.ChangeCameraStatic(1834,53,1350,1764,26,1416)
	npc.SetVisible(nHuang,1)
	npc.SetVisible(nMing,1)
	global.Wait(0.5)
	ui.Dialog(77324,627,0,nMing,0,0)--来这招弃车保帅，哼，欧阳英还真是高明。
	global.Wait(0.8)
	ui.Dialog(77325,550,2,nHuang,0,0)--……
	global.Wait(0.3)
	--皇甫转向一鸣
	npc.TurnToNpc(nHuang,nMing,1)
	ui.Dialog(77326,544,2,nHuang,0,0)--父亲，姜承一向行止端正，不像是魔道中人，况且——
	global.Wait(0.3)
	--一鸣转向皇甫
	npc.TurnToNpc(nMing,nHuang,1)
	ui.Dialog(77327,628,0,nMing,0,0)--卓儿，知人知面不知心，你江湖经验还是太浅，欧阳家既然出了这种丑事，总得给武林一个交代。
	global.Wait(0.3)
	ui.Dialog(77328,628,0,nMing,0,0)--之后的事情你按为父说的办就是。
	global.Wait(1)
	ui.Dialog(77329,550,2,nHuang,0,0)--……是。
	global.Wait(0.3)
	--==========
	
	--###@@@镜头切回姜承处
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(1097,42,2055,1116,12,2148)
	camera.ResetLerp(25000)
	camera.ChangeCameraStatic(1137,42,2057,1116,8,2149)
	--隐藏皇甫父子
	npc.SetVisible(nMing,0)
	npc.SetVisible(nHuang,0)
	global.Wait(0.5)
	npc.SetAnim(nXiaHou,217,2)
	global.Wait(0.5)
	ui.Dialog(77330,526,2,nXiaHou,0,0)--姜兄，你接下来，有什么打算？
	global.Wait(0.5)
	ui.Dialog(77331,141,0,nJiang,0,0)--……
	global.Wait(0.3)
	--夏侯走近一步
	npc.MoveTo(nXiaHou,1101,2148,1)
	npc.TurnToNpc(nXiaHou,nJiang,1)
	ui.Dialog(77332,526,2,nXiaHou,0,0)--姜兄？
	global.Wait(0.8)
	ui.Dialog(77333,141,0,nJiang,0,0)--不知道……
	global.Wait(0.3)
	--夏侯摇头
	npc.SetAnim(nXiaHou,207,2)
	global.Wait(1)
	ui.Dialog(77334,520,2,nXiaHou,0,0)--唉，你这样，可是辜负了欧阳世伯的一番苦心啊。
	global.Wait(0.3)
	--姜承抬头
	npc.SetHeadRot(nJiang,-20,0,1,100)
	global.Wait(0.1)
	ui.Dialog(77335,130,0,nJiang,0,0)--……什么？
	global.Wait(0.3)
	--==========
	
	--###@@@切镜头
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(1120,22,2156,1161,18,2065)
	camera.ResetLerp(25000)
	camera.ChangeCameraStatic(1114,22,2153,1155,18,2062)
	--调整站位
	npc.SetPos(nXia,1121,2176)
	-- npc.SetAtPos(nXia,1134,2127)
	npc.SetAtPos(nXia,1107,2126)
	npc.SetHeadRot(nXia,20,-10,0,100)
	npc.SetPos(nLan,1103,2175)
	npc.SetAtPos(nLan,1134,2127)
	npc.SetHeadRot(nLan,35,0,0,100)
	--夏侯对话动作
	npc.SetAnim(nXiaHou,217,2)
	global.Wait(0.5)
	ui.Dialog(77336,515,0,nXiaHou,0,0)--姜兄，你仔细想想，欧阳世伯只是驱逐你出山庄，却并没有说你不能再回去啊。
	-- global.Wait(0.3)
	-- npc.SetAnim(nJiang,217,2)
	npc.SetHeadRot(nJiang,-20,15,1,40)
	wt(0.5)
	ui.Dialog(77337,143,2,nJiang,0,0)--……可师父说不能再留我。
	global.Wait(0.3)
	ui.Dialog(77338,515,0,nXiaHou,0,0)--那世伯可有说将你逐出门墙？
	global.Wait(0.5)
	--姜承摇头
	-- npc.SetAnim(nJiang,207,2)
	-- global.Wait(1)
	ui.Dialog(77339,141,2,nJiang,0,0)--……没有。
	global.Wait(0.3)
	--==========
	
	--###@@@切镜头
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(1131,23,2065,1115,10,2163)
	camera.ResetLerp(35000)
	camera.ChangeCameraStatic(1128,22,2079,1115,15,2178)
	--夏侯点头
	npc.SetHeadRot(nXiaHou,0,20,1,40)
	global.Wait(0.2)
	npc.SetHeadRot(nXiaHou,0,0,1,50)
	ui.Dialog(77340,515,2,nXiaHou,0,0)--那便是了！
	npc.SetHeadRot(nJiang,-20,0,0,40)
	global.Wait(0.3)
	--夏侯思考动作
	npc.SetAnim(nXiaHou,216)
	global.Wait(0.3)
	ui.Dialog(77341,522,2,nXiaHou,0,0)--姜兄，依我推测，现下事情正在风口浪尖上，若是你留在山庄，与师弟们再有什么龉龃，那局面难免进一步恶化。
	global.Wait(0.3)
	ui.Dialog(77342,515,2,nXiaHou,0,0)--世伯这时候命你下山，正是希望事情能够快些冷却，以免群情激愤之下发生什么无可挽回的事。
	--夏侯转身，两个妹子也看着夏侯
	npc.TurnToPos(nXiaHou,1120,2204,1)
	--姜承看向两个妹子
	npc.SetHeadRot(nJiang,10,0,0,50)
	global.Wait(0.8)
	--两个妹子心领神会，头转向姜承
	npc.SetHeadRot(nLan,0,0,0,50)
	wt(0.15)
	npc.SetHeadRot(nXia,-30,-10,0,60)
	global.Wait(0.4)
	--冲姜承点头
	npc.SetHeadRot(nLan,0,20,0,40)
	global.Wait(0.15)
	npc.SetHeadRot(nXia,-30,10,0,40)
	global.Wait(0.35)
	npc.SetHeadRot(nLan,0,0,0,50)
	global.Wait(0.15)
	npc.SetHeadRot(nXia,-30,-10,0,50)
	global.Wait(0.8)
	--夏侯又转回来对姜承继续说
	npc.TurnToNpc(nXiaHou,nJiang,1)
	--姜承看回夏侯
	npc.SetHeadRot(nJiang,-20,0,0,50)
	ui.Dialog(77343,515,2,nXiaHou,0,0)--况且，你若是在外面闯出名堂，功成名就再衣锦荣归，到时你的同门也无话可说。
	wt(0.3)
	ui.Dialog(77344,515,2,nXiaHou,0,0)--相信欧阳世伯这样对你是出自一片苦心啊。
	global.Wait(0.3)
	--姜承思考
	npc.SetAnimSpeed(nJiang,25)
	npc.SetAnim(nJiang,216)
	wt(0.5)
	npc.SetAnimSpeed(nJiang,100)
	npc.SetAnim(nJiang,216)
	ui.Dialog(77345,127,0,nJiang,0,0)--……真是这样……
	global.Wait(0.3)
	--夏侯对话动作
	npc.SetAnim(nXiaHou,217)
	npc.AddAnimChain(nXiaHou,217,200)
	global.Wait(0.4)
	ui.Dialog(77346,515,2,nXiaHou,0,0)--世伯从小将你抚养长大，他为人如何，待你又如何，姜兄应该比谁都清楚，刚才我所说的难道不合情理吗？
	global.Wait(0.3)
	--姜承对话动作
	npc.SetAnim(nJiang,217)
	npc.AddAnimChain(nJiang,217,200)
	global.Wait(0.4)
	ui.Dialog(77347,126,0,nJiang,0,0)--师父待我如父子……养育之恩终身难报，你说的有理……
	global.Wait(0.3)
	--==========
	
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(1092,32,2204,1132,7,2116)
	camera.ResetLerp(25000)
	camera.ChangeCameraStatic(1095,29,2196,1141,8,2110)
	npc.SetVisible(nLan,0)
	--瑕看向夏侯
	npc.SetHeadRot(nXia,20,-10,1,60)
	wt(0.3)
	ui.Dialog(77348,515,0,nXiaHou,0,0)--既如此，姜兄，你不妨就先随我一同下山，四处游历散散心。\n等风波平静了，再回这里如何？
	global.Wait(0.5)
	npc.SetAnim(nJiang,200)
	ui.Dialog(77349,131,2,nJiang,0,0)--……好吧。现在我也没有其他地方可去，就和你一起走吧。
	global.Wait(0.5)
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(1147,27,2175,1052,5,2150)
    global.Wait(0.5)
	ui.Dialog(77350,185,0,nXia,0,0)--（这，这乌鸦嘴劝起人来……也还真挺厉害啊。）
	global.Wait(0.3)
	--皇甫出来
	npc.SetVisible(nHuang,1)
	ui.Dialog(77351,542,2,nHuang,0,0)--巧舌如簧。
	--调整npc站位，为下一个镜头做准备
	npc.SetPos(nXiaHou,1093,2137)
	npc.SetAtPos(nXiaHou,1134,2127)
	npc.SetAtPos(nJiang,1093,2137)
	npc.SetHeadRot(nJiang,0,0,0,100)
	-- global.Wait(0.3)
	npc.SetPos(nHuang,1135,2087)
	npc.SetVisible(nHuang,1)
	npc.SetHeadRot(nXia,-30,-10,0,70)
	-- wt(0.3)
	--==========
	
	--###@@@镜头切给走过来的皇甫
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(1088,24,2183,1122,12,2090)
	camera.ResetLerp(25000)
	camera.ChangeCameraStatic(1091,23,2176,1125,15,2082)
	npc.SetVisible(nXia,0)
	--调整两个妹子的位置
	npc.SetPos(nXia,1130+3,2169)
	npc.SetAtPos(nXia,1117,2112)
	npc.SetPos(nLan,1111+3,2171)
	npc.SetAtPos(nLan,1117,2112)
	npc.SetHeadRot(nXia,0,-5,0,100)
	npc.SetHeadRot(nLan,0,0,0,100)
	--皇甫走过来
	npc.MoveTo(nHuang,1117,2112)
	wt(0.2)
	npc.TurnToPos(nXiaHou,1116,2108)
	npc.TurnToPos(nJiang,1116,2108)
	global.WaitForNpcPos(nHuang,1117,2112)
	wt(0.8)
	npc.TurnToNpc(nHuang,nJiang,1)
	ui.Dialog(77352,542,0,nHuang,0,0)--不过，夏侯兄这次说的不无道理，你不必如此沮丧。
	global.Wait(0.3)
	ui.Dialog(77353,126,2,nJiang,0,0)--是，多谢众位。
	global.Wait(0.3)
	--皇甫转向夏侯
	npc.TurnToNpc(nHuang,nXiaHou,1)
	ui.Dialog(77354,542,0,nHuang,0,0)--正好我也想出门历练，就与你们结伴而行吧。
	global.Wait(0.3)
	npc.TurnToNpc(nJiang,nXiaHou)
	npc.SetAnim(nXiaHou,217,2)
	wt(0.5)
	ui.Dialog(77355,521,0,nXiaHou,0,0)--皇甫兄若是愿意同行，最好不过。但皇甫世伯那边怎么办？
	global.Wait(0.3)
	--皇甫摇头
	npc.SetAnim(nHuang,207,2)
	global.Wait(1)
	ui.Dialog(77356,542,0,nHuang,0,0)--已经派弟子告知我爹。倒是你，不用知会夏侯世伯一声？
	global.Wait(0.3)
	ui.Dialog(77357,515,0,nXiaHou,0,0)--二叔早已答应我可以随时离开。
	global.Wait(0.3)
	--==========
	
	--###@@@切镜头
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(1206,36,2202,1123,12,2151)
	camera.ResetLerp(25000)
	camera.ChangeCameraStatic(1195,33,2197,1113,9,2145)
	npc.SetVisible(nXia,1)
	npc.SetVisible(nLan,1)
	npc.SetPos(nJiang,1134+4,2127-1)	
	npc.SetAnim(nLan,217,2)
	global.Wait(0.5)
	ui.Dialog(77358,163,0,nLan,0,0)--好啦，既然姜少侠心里的结已被解开，那我们就走吧。
	--夏侯姜承转身，皇甫转头
	-- npc.TurnToNpc(nXiaHou,nLan)
	npc.SetHeadRot(nXiaHou,-15,0,0,100)
	npc.TurnToPos(nXiaHou,1138,2186)
	wt(0.1)
	npc.TurnToNpc(nJiang,nLan)
	wt(0.1)
	npc.TurnToPos(nHuang,1123,2180)
	global.Wait(0.4)
	npc.MoveTo(nHuang,1115,2124,1)
	ui.Dialog(77359,542,2,nHuang,0,0)--这两位也一起走？
	global.Wait(0.3)
--	npc.SetAnim(nLan,232,2)
	global.Wait(0.5)
	ui.Dialog(77360,163,0,nLan,0,0)--反正擂台也打了，再留下来也就是看看热闹，不如跟夏侯少爷一道走走，说不定还能再赚点保镖钱。
	global.Wait(0.3)
	npc.TurnToNpc(nLan,nXia,1)
	npc.TurnToNpc(nXia,nLan)
	npc.SetHeadRot(nXiaHou,5,0,0,60)
	npc.SetHeadRot(nHuang,10,0,0,40)
	ui.Dialog(77361,167,0,nLan,0,0)--妹子应该也没什么事吧，那一起走可好？咱们姐妹投缘，路上也能做个伴，不是比一个人好多了？
	global.Wait(0.3)
	ui.Dialog(77362,182,2,nXia,0,0)--嗯。
	global.Wait(0.3)
	npc.TurnToNpc(nXia,nHuang,1)
	ui.Dialog(77363,183,2,nXia,0,0)--不过要是大少爷们不高兴的话，那就算啦。
	global.Wait(0.3)
	npc.SetAnim(nXiaHou,217,2)
	npc.SetHeadRot(nHuang,-20,0,0,60)
	global.Wait(0.5)
	ui.Dialog(77364,521,0,nXiaHou,0,0)--在下自然是乐意之至，大家都是好朋友嘛！
	global.Wait(0.3)
	ui.Dialog(77365,185,2,nXia,0,0)--……！
	global.Wait(0.3)
	--==========
	
	--###@@@夏侯特写，同时调整其他npc位置
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(1118,25,2148,1028,14,2108)
	camera.ResetLerp(15000)
	camera.ChangeCameraStatic(1120,26,2139,1020,15,2133)
	npc.SetPos(nJiang,1140,2148)
	npc.SetAtPos(nJiang,1134,2127)
	npc.SetPos(nHuang,1134,2127)
	npc.SetAtPos(nHuang,1140,2148)
	npc.SetHeadRot(nHuang,0,0)
	npc.SetPos(nLan,1097,2175)
	npc.SetAtPos(nLan,1114,2169)
	npc.SetPos(nXia,1114,2169)
	npc.SetAtPos(nXia,1097,2175)
	wt(0.3)
	npc.SetHeadRot(nXiaHou,-15,0,0,50)
	ui.Dialog(77366,163,0,nLan,0,0)--呵呵，就是啊，江湖儿女相逢就是缘分。那么我们要去哪里呢？
	wt(0.3)
	--夏侯思考
	npc.SetHeadRot(nXiaHou,0,0,0,100)
	npc.SetAnimSpeed(nXiaHou,25)
	npc.SetAnim(nXiaHou,216)
	wt(0.5)
	npc.SetAnimSpeed(nXiaHou,100)
	npc.SetAnim(nXiaHou,216)
	ui.Dialog(77367,182,0,nXia,0,0)--我去哪里都行，就看你们的啦。
	wt(0.3)
	ui.Dialog(77368,132,2,nJiang,0,0)--……
	wt(0.3)
	ui.Dialog(77369,542,2,nHuang,0,0)--我还未考虑这个。
	npc.TurnToNpc(nJiang,nXiaHou)
    npc.TurnToNpc(nXia,nXiaHou)
	npc.TurnToNpc(nHuang,nXiaHou)
	npc.TurnToNpc(nLan,nXiaHou,1)
	wt(0.1)
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(1152,54,2059,1120,12,2144)
	npc.SetAnimSpeed(nXiaHou,25)
	npc.SetAnim(nXiaHou,200)
	wt(0.5)
	npc.SetAnimSpeed(nXiaHou,100)
	npc.SetAnim(nXiaHou,200)
	ui.Dialog(77370,163,0,nLan,0,0)--去哪不是玩，不如就多走几步，到中原之外的地方走走，也好开开眼界，怎样？
	wt(0.3)
	ui.Dialog(77371,709,0,nLan,0,0)--有两位少爷在，想必旅费不成问题。
	wt(0.3)
	ui.Dialog(77372,522,2,nXiaHou,0,0)--（去哪里呢……\n对了，之前和二叔说起过几个胜地，离折剑最近的……是楼兰。沙漠下雨也是件少见的奇事。）
	wt(0.3)
	--==========
	
	--###@@@切镜头
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(1037,32,2135,1131,9,2156)
	camera.ResetLerp(30000)
	camera.ChangeCameraStatic(1009,39,2129,1103,14,2150)
	wt(0.3)
--[[	npc.TurnToPos(nJiang,1093,2137)
	wt(0.15)
	npc.TurnToPos(nXia,1093,2137)
	wt(0.1)
	npc.TurnToPos(nHuang,1093,2137)
	wt(0.15)
	npc.TurnToPos(nLan,1093,2137)
	wt(0.3)--]]
	npc.SetAnim(nXiaHou,217,2)
	wt(0.5)
	ui.Dialog(77373,515,0,nXiaHou,0,0)--暮姑娘所言在理。既然如此，我们不如前往西域如何？一方面可以让姜兄转换心情，另外也可借此长些异国见闻。
	wt(0.3)
	npc.SetHeadRot(nXiaHou,-15,0,0,40)
	npc.SetHeadRot(nXia,0,-10,0,100)
	npc.TurnToNpc(nXia,nLan)
	npc.SetHeadRot(nHuang,20,0,0,40)
	npc.SetHeadRot(nJiang,15,0,0,40)
	npc.SetAnimSpeed(nLan,25)
	npc.SetAnim(nLan,216)
	wt(0.5)
	npc.SetAnimSpeed(nLan,100)
	npc.SetAnim(nLan,216)
	ui.Dialog(77374,162,2,nLan,0,0)--西域？
	wt(0.3)
	ui.Dialog(77375,521,0,nXiaHou,0,0)--对！听说西域黄沙千里，其中还有一座楼兰古城，处在丝绸之路要冲，曾经极为繁华。从这里向北出关到西域，也不算太远。
    npc.SetHeadRot(nHuang,0,0,0,40)
	wt(0.3)
	ui.Dialog(77376,550,0,nHuang,0,0)--不算太远？你又异想天开！且不说穿越沙漠危险重重，单说要提前准备的给养就绝非少数！
	wt(0.3)
	ui.Dialog(77377,523,2,nXiaHou,0,0)--呵呵……我……
	npc.SetAnimSpeed(nLan,25)
	npc.SetAnim(nLan,200)
	wt(0.4)
	npc.SetAnimSpeed(nLan,100)
	npc.SetAnim(nLan,200)
	npc.SetHeadRot(nHuang,0,0,0,40)
	ui.Dialog(77378,163,2,nLan,0,0)--好啦，我们就先向北走好了，至于能不能出关嘛，就走一步看一步咯～
	wt(0.3)
	local mPosX = 970-1093
	local mPosZ = 2206-2137
	npc.MoveTo(nXiaHou,1093+mPosX,2137+mPosZ)
	wt(0.1)
	npc.MoveTo(nHuang,1134+mPosX,2127+mPosZ)
	wt(0.1)
	npc.MoveTo(nLan,1097+mPosX,2175+mPosZ)
	wt(0.1)
	--==========
	
	--###@@@切镜头
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(1032,22,2266,1075,13,2176)
	camera.ResetLerp(18000)
	camera.ChangeCameraStatic(1041,21,2245,1089,16,2158)
	npc.MoveTo(nJiang,1140+mPosX,2148+mPosZ)
	--调整瑕位置
	npc.SetPos(nXia,1125,2176)
	npc.SetHeadRot(nXia,0,0,0,100)
	npc.MoveTo(nXia,1125+mPosX/2,2176+mPosZ/2)
	global.WaitForNpcPos(nXia,1125+mPosX/2,2176+mPosZ/2)
	wt(0.5)
	--瑕看天
	npc.SetHeadRot(nXia,0,-20,1,40)
	global.Wait(0.3)
	ui.Dialog(77379,183,2,nXia,0,0)--咦……
	global.Wait(0.5)
	npc.SetHeadRot(nXia,0,0,0,100)
	npc.SetAnimSpeed(nXia,25)
	npc.SetAnim(nXia,216)
	wt(0.5)
	npc.SetAnimSpeed(nXia,100)
	npc.SetAnim(nXia,216)
	ui.Dialog(77380,183,2,nXia,0,0)--总觉得好像忘记了什么事。
	global.Wait(0.5)
	ui.Dialog(77381,515,0,nXiaHou,0,0)--瑕姑娘？
	npc.SetAnimSpeed(nXia,25)
	npc.SetAnim(nXia,200)
	global.Wait(0.4)
	npc.SetAnimSpeed(nXia,100)
	npc.SetAnim(nXia,200)
	ui.Dialog(77382,182,2,nXia,0,0)--哦！马上来！
	wt(0.3)
	--瑕跑过去
	npc.RunTo(nXia,1125+mPosX,2176+mPosZ)
	effect.FadeOut(1,0.7)
	wt(2.5)
	--删除npc
	npc.Destroy(nXiaHou)
	npc.Destroy(nXia)
	npc.Destroy(nLan)
	npc.Destroy(nJiang)
	npc.Destroy(nHuang)
	--==========
	
	--###@@@切换折剑山庄室内，罡斩特写
	map.ChangeNoScript(1,103)
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(2674,44,1797,2739,-5,1738)
	npc.CreateFloat(5,nGang,2701-2,18+6,1778+9+2)
	npc.SetAt(nGang,0,1)
	npc.SetAnim(nGang,215)
	wt(0.3)
	camera.ResetLerp(10000)
	camera.ChangeCameraStatic(2649,62,1818,2714,13,1760)
	effect.FadeIn(1,0.7)
	global.Wait(2.5)
	ui.Dialog(77383,541,0,nGang,0,0)--呼……呼……
	global.Wait(2)
	effect.FadeOut(1,0.7)
	global.MusicFadeOut(1500)
	global.Wait(2.5)
	--删除npc
	npc.Destroy(nGang)
	--==========
	
	--切回折剑山庄
	map.Change(1,28)
	--更换队列
	player.Add(p_id(1),1)
	player.Add(p_id(2),1)
	player.Add(p_id(4),1)
	player.Add(p_id(6),1)
	--为大家加满血
	player.ChangeHP(1,1,0,100)
	player.ChangeMP(1,1,0,100)
	--调整最终镜头位置
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(1186,104,2021,1124,66,2089)
	player.SetAt(-1,1)
	
	--删除上一个任务
	ui.FinishQuest(533)
	--添加任务
	ui.AddQuest(534)

	--姜承支线开启提示信件
	if flag.GetValue(8071)==1 then
	player.AddItem(302,1,0)
	ui.Message(77384)	--收到了一封神秘的来信
	end		
	global.PlayMusic(213,100,2000)
	func_end(1259,1964,1,0.7) --折剑山庄街口
end	

end